dyn_gw: fix a Coverity warning